# Generated by Django 2.2 on 2020-03-11 19:22

from django.db import migrations, models
import django.db.models.deletion
import task.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True)),
                ('modified_time', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=90, verbose_name='title')),
                ('description', models.TextField(verbose_name='description')),
                ('attachment', models.FileField(upload_to='task/CreateTask/attachments', validators=[task.validators.validate_file_extension], verbose_name='attachment')),
                ('image', models.ImageField(upload_to='task/CreateTask/image', verbose_name='image')),
                ('time', models.TimeField(verbose_name='time')),
                ('date_time', models.DateField(verbose_name='date time')),
                ('is_done', models.BooleanField(default=False, verbose_name='is done')),
                ('priority', models.CharField(choices=[(1, 'necessary'), (2, 'important'), (3, 'usual'), (4, 'indifferent')], max_length=15, verbose_name='priority')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.Profile', verbose_name='user')),
            ],
            options={
                'verbose_name': 'task',
                'verbose_name_plural': 'tasks',
            },
        ),
    ]
